﻿using Infragistics.Win.UltraWinForm;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WTMM_StylesIssue
{
    public partial class ChildTab1 : Form
    {
        public ChildTab1()
        {
            InitializeComponent();
        }

        private void ChildTab1_Load(object sender, EventArgs e)
        {
            this.ultraFormManager1.FormStyleSettings.Style = UltraFormStyle.Office2013;
            this.ultraFormManager1.FormStyleSettings.CaptionAreaAppearance.ForeColor = Color.White;
            this.ultraTree1.ScrollBarLook.ViewStyle = Infragistics.Win.UltraWinScrollBar.ScrollBarViewStyle.Office2013;

            DataSet ds = new DataSet();
            loadSchema(ds);
            loadData(ds);

            ultraTree1.DataSource = ds;
            ultraTree1.DataMember = "table1";

        }

        private void loadData(DataSet ds)
        {
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Beverage", 50, 10.2, new DateTime(2008, 04, 22) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Appliances", 5, 90, new DateTime(2012, 05, 10) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "FastFood", 20, 32, new DateTime(2005, 10, 05) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Furniture", 12, 79, new DateTime(2009, 02, 28) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Meat", 40, 10.2, new DateTime(2008, 04, 22) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Fruits", 25, 12, new DateTime(2012, 05, 10) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Vegetables", 30, 13, new DateTime(2005, 10, 05) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Cars", 13, 200, new DateTime(2009, 02, 28) });

            ds.Tables["table2"].Rows.Add(new Object[] { null, 0, "Coca - Cola", " Somewhere", 2 });
            ds.Tables["table2"].Rows.Add(new Object[] { null, 1, "Coca - Cola", " Somewhere", 2 });
            ds.Tables["table2"].Rows.Add(new Object[] { null, 2, "Coca - Cola", " Somewhere", 2 });
            ds.Tables["table2"].Rows.Add(new Object[] { null, 3, "Coca - Cola", " Somewhere", 2 });

        }

        private void loadSchema(DataSet ds)
        {
            DataTable t1 = ds.Tables.Add("table1");
            t1.Columns.Add("id", typeof(int)).AutoIncrement = true;
            t1.Columns.Add("Name", typeof(string));
            t1.Columns.Add("Quantity", typeof(int));
            t1.Columns.Add("Price", typeof(double));
            t1.Columns.Add("Date", typeof(DateTime));


            DataTable t2 = ds.Tables.Add("table2");
            t2.Columns.Add("id", typeof(int)).AutoIncrement = true;
            t2.Columns.Add("pid", typeof(int));
            t2.Columns.Add("Name", typeof(string));
            t2.Columns.Add("Address", typeof(string));
            t2.Columns.Add("Number", typeof(int));

            ds.Relations.Add(t1.Columns["id"], t2.Columns["pid"]);
        }

        private void ChildTab1_Activated(object sender, EventArgs e)
        {
            this.ultraFormManager1.FormStyleSettings.CaptionAreaAppearance.BackColor = Color.FromArgb(0,170,222);
            this.BackColor = Color.Blue;
            this.ultraFormManager1.FormStyleSettings.CaptionButtonsAppearances.CloseButtonAppearances.Appearance.BackColor = Color.FromArgb(0, 170, 222);
            this.ultraFormManager1.FormStyleSettings.CaptionButtonsAppearances.MaximizeButtonAppearances.Appearance.BackColor = Color.FromArgb(0, 170, 222);
            this.ultraFormManager1.FormStyleSettings.CaptionButtonsAppearances.MinimizeButtonAppearances.Appearance.BackColor = Color.FromArgb(0, 170, 222);
        }

        private void ChildTab1_Deactivate(object sender, EventArgs e)
        { 
            if (this.ultraFormManager1.FormStyleSettings.Disposed == false)
            { 
                this.ultraFormManager1.FormStyleSettings.CaptionAreaAppearance.BackColor = Color.LightGray;
                this.BackColor = Color.Gray;
                this.ultraFormManager1.FormStyleSettings.CaptionButtonsAppearances.CloseButtonAppearances.Appearance.BackColor = Color.LightGray;
                this.ultraFormManager1.FormStyleSettings.CaptionButtonsAppearances.MaximizeButtonAppearances.Appearance.BackColor = Color.LightGray;
                this.ultraFormManager1.FormStyleSettings.CaptionButtonsAppearances.MinimizeButtonAppearances.Appearance.BackColor = Color.LightGray;
            }
        }
    
    }
}
